# H11 - List Catalog categories (parents and children) related to a Catalog category

Call FrequencyRecommended usage: Every hourMaximum usage: Every hour

Endpoint: GET /api/hierarchies
Security: Front-Bearer-Token, OAuth-2

## Security:

  - `Front-Bearer-Token` (unknown)
    http bearer JWT

  - `OAuth-2` (unknown)
    oauth2

## Query parameters:

  - `hierarchy` (string)
    Catalog category code

  - `max_level` (integer)
    Number of children catalog category levels to retrieve. If not specified, all child catalog categories are retrieved

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `hierarchies` (array, required)
    List of hierarchies

  - `hierarchies.code` (string, required)
    Hierarchy code

  - `hierarchies.label` (string)
    Hierarchy label

  - `hierarchies.label_translations` (array, required)
    Hierarchy label translation

  - `hierarchies.label_translations.locale` (string)
    Locale

  - `hierarchies.label_translations.value` (string)
    Translation

  - `hierarchies.level` (integer, required)
    Hierarchy level

  - `hierarchies.parent_code` (string, required)
    Parent Hierarchy code

## Response 200 examples:

  - `Example with business values (application/json)` (unknown)

  - `Complete example with value types (application/json)` (unknown)

